org.jbpm.services.task.audit.commands

## Class GetAllAdminAuditTasksByUserCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<List<org.kie.internal.task.api.AuditTask>>
    - - org.jbpm.services.task.audit.commands.GetAllAdminAuditTasksByUserCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<List<org.kie.internal.task.api.AuditTask>>, org.kie.api.command.ExecutableCommand<List<org.kie.internal.task.api.AuditTask>>

      public class GetAllAdminAuditTasksByUserCommand
      extends UserGroupCallbackTaskCommand<List<org.kie.internal.task.api.AuditTask>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetAllAdminAuditTasksByUserCommand()`
    `GetAllAdminAuditTasksByUserCommand(String userId, org.kie.internal.query.QueryFilter filter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.internal.task.api.AuditTask>` | `execute(org.kie.api.runtime.Context context)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addEmailFromCallbackOperation, addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackEmailOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetAllAdminAuditTasksByUserCommand

          public GetAllAdminAuditTasksByUserCommand()

    - #### GetAllAdminAuditTasksByUserCommand

          public GetAllAdminAuditTasksByUserCommand(String userId,
                                                    org.kie.internal.query.QueryFilter filter)

  - ### Method Detail

    - #### execute

          public List<org.kie.internal.task.api.AuditTask> execute(org.kie.api.runtime.Context context)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<List<org.kie.internal.task.api.AuditTask>>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<List<org.kie.internal.task.api.AuditTask>>`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.